Description

Hi,

| am using TCPDF Advanced Table.

| create a simple PDF with a header and footer. Its working good and | am able to view the PDF in browser (Chrome). | downloaded
the PDF and unable to open it in Acrobat. | get an error as "There was an error opening this document. The file is damaged and
could not be repaired”

Then | ran the example (tcpdf_table\example-table-2-overview.php) that you have given in the bundle. | get the same problem with
this also. Able to see in browser but not able to ope in Acrobat reader.

Then, this same example (Pdf example #2:) is hosted in your website (http://www.interpid.eu/tcpdf-table), exactly the same code, it
works good. | am able to download it and open in Acrobat Reader.

Instead of streaming to browser, | saved it in disk. Then also the same issue repeats.

If your example tcpdf_table\example-table-2-overview.php works for me, then | can port it to my code. Do | need to make any
changes to it?

| have spent significant amount of time on this. Please help me.

Regards,
Joseph.

History

#1 - 12/20/2016 09:20 AM - Andrei Bintintan
- Status changed from New to In Progress

- Assignee set to Joseph Kulandai

This is strange, | can reproduce it. | will investigate.

#2 - 12/20/2016 09:49 AM - Andrei Bintintan
- File Screenshot_98.png added

- Status changed from In Progress to Feedback

Resolution: Please delete the _putinfo() function from the classes/pdf.php file.
This function is used by unit-tests, but it seems indeed to break the pdf. I'll review and release a fix.

Please let me know if it fixed your issue.

#3 - 12/20/2016 09:50 AM - Andrei Bintintan

Or replace it with:

protected function _putinfo()

{
if ( defined( 'ENVIRONMENT" ) && 'test' == ENVIRONMENT ) {

$this->file_id = '1234567890";
$this->tcpdf_version = "1.0.0";
}
return parent::_putinfo();

#4 - 12/20/2016 10:48 AM - Andrei Bintintan

Changes released, please make an update. http://www.interpid.eu/download

#5 - 12/20/2016 10:48 AM - Andrei Bintintan
- Status changed from Feedback to Closed

#6 - 04/19/2017 11:31 AM - Andrei Bintintan

- Tracker changed from Support to Task
